Bug 1422216 - [GSS](6.4.z) EJB contextData not sent back to client in response
Summary: [GSS](6.4.z) EJB contextData not sent back to client in response
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB
Version: 6.4.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.16
Assignee: Fedor Gavrilov
QA Contact: Jiří Bílek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-14 18:55 UTC by Brad Maxwell
Modified: 2017-08-30 05:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-30 05:39:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker EJBCLIENT-194 Major Pull Request Sent MethodInvocationResponseHandler not putting response contextData on InvocationContext 2018-11-05 10:17:47 UTC
JBoss Issue Tracker JBEAP-8835 Major Closed [GSS](7.0.z) EJB contextData not sent back to client in response 2018-11-05 10:17:46 UTC
JBoss Issue Tracker JBEAP-8837 Critical Closed [GSS](7.1.z)(ejb-client) EJB contextData not sent back to client in response 2018-11-05 10:17:46 UTC
JBoss Issue Tracker WFLY-1805 Major Closed It should be possible to pass objects via invocation context from the server side EJB to the client and read with a via ... 2018-11-05 10:17:46 UTC

Description Brad Maxwell 2017-02-14 18:55:40 UTC
EJB Client interceptor can but data in the contextData map which a server side interceptor can retrieve, however when the server side interceptor puts data in the contextData map , the client is not finding it when the response is received.

Comment 6 David M. Lloyd 2017-03-28 12:14:33 UTC
The proposed solution causes regressions and I was asked to revert it.

We need a more thorough examination of this problem.

Comment 11 Brad Maxwell 2017-08-30 05:39:46 UTC
Deferring as this is not a simple bug fix as previously thought.


Note You need to log in before you can comment on or make changes to this bug.